"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.QuizEntryShowRaw = void 0;

require("core-js/modules/es6.object.assign");

require("core-js/modules/es6.function.name");

var _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck"));

var _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass"));

var _possibleConstructorReturn2 = _interopRequireDefault(require("@babel/runtime/helpers/possibleConstructorReturn"));

var _getPrototypeOf3 = _interopRequireDefault(require("@babel/runtime/helpers/getPrototypeOf"));

var _inherits2 = _interopRequireDefault(require("@babel/runtime/helpers/inherits"));

var _react = _interopRequireWildcard(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _reactImmutableProptypes = _interopRequireDefault(require("react-immutable-proptypes"));

var _partial = _interopRequireDefault(require("lodash/partial"));

var _reactDnd = require("react-dnd");

var _IconBank = _interopRequireDefault(require("@instructure/ui-icons/lib/Line/IconBank"));

var _ScreenReaderContent = _interopRequireDefault(require("@instructure/ui-a11y/lib/components/ScreenReaderContent"));

var _lib = _interopRequireDefault(require("@instructure/ui-themeable/lib"));

var _formatMessage = _interopRequireDefault(require("@instructure/quiz-common/lib/format-message"));

var _Item = _interopRequireDefault(require("../../../../../common/records/Item"));

var _Overlay = _interopRequireDefault(require("../../../../../common/components/shared/overlay/Overlay"));

var _ActionButtons = _interopRequireDefault(require("../../ActionButtons"));

var _dragAndDropUtils = require("../../../../../common/components/shared/drag_and_drop/dragAndDropUtils");

var _PositionBox = _interopRequireDefault(require("../../../../../common/components/resources/positionBox/PositionBox"));

var _DragAndDropZone = _interopRequireDefault(require("../../../../../common/components/shared/drag_and_drop/DragAndDropZone"));

var _theme = _interopRequireDefault(require("./theme"));

var _dec, _class, _class2, _temp;

var styles = {
  componentId: 'bxAMGbGCDn',
  template: function template(theme) {
    return "/*  imported from styles.css  */\n\n._30JM-S2QMUOyKfCqClGPw6 {\n  transform: translate3d(0, 0, 0); /* for drag and drop preview to work */\n}\n\n._2pcJ8SmBJbAKOL0L_1DF0r {\n  padding: ".concat(theme.quizEntryShowPadding || 'none', ";\n  background-color: ").concat(theme.quizEntryShowBackgroundColor || 'none', ";\n}\n\n._3PPo8BTS2OwG1t9m_bhazE {\n  height: ").concat(theme.headerHeight || 'none', ";\n  display: flex;\n  flex-wrap: nowrap;\n  flex-direction: row;\n  align-items: stretch;\n  padding-right: ").concat(theme.headerRightPadding || 'none', ";\n}\n\n._1CF5dLJuk0zJ75xj6k31T- {\n  border: ").concat(theme.dndBorder || 'none', ";\n}\n\n._3iMdBpgFd46AI1bQAIuVin {\n  flex: 8 0 0;\n  display: inline-flex;\n  overflow: hidden;\n  align-items: center;\n}\n\n._2zZm8nhqXXq8S2QDZu2B6 {\n  flex: 0 0 auto;\n  display: inline-flex;\n  text-align: right;\n  z-index: ").concat(theme.rightHeaderZIndex || 'none', ";\n  color: ").concat(theme.rightHeaderColor || 'none', ";\n}\n\n[dir=\"ltr\"] ._2zZm8nhqXXq8S2QDZu2B6 {\n  text-align: right;\n}\n\n[dir=\"rtl\"] ._2zZm8nhqXXq8S2QDZu2B6 {\n  text-align: right;\n}\n\n._2zZm8nhqXXq8S2QDZu2B6 button {\n  background-color: transparent;\n  background-color: initial;\n}\n\n._21U4Zcv2ZAc_1pasZ243Rx,\n._3iV321zhhM0h9IJNeAB-QJ,\n._24D_jCjKR1eMbmMl1ji6XX {\n  color: ").concat(theme.titleInteractionTypeNamePointsColor || 'none', ";\n  font-size: ").concat(theme.titleInteractionTypeNamePointsFontSize || 'none', ";\n  margin-left: ").concat(theme.titleInteractionTypeNamePointsLeftMargin || 'none', ";\n  margin-right: ").concat(theme.titleInteractionTypeNamePointsRightMargin || 'none', ";\n  text-overflow: ellipsis;\n  overflow: hidden;\n  white-space: nowrap;\n}\n\n._2hTRFEg0Y8Or6hSYfvW_ET {\n  margin: ").concat(theme.itemHolderMargin || 'none', ";\n}\n\n._6CE0FpzOqws710_BvTSel,\n._3kUi7rrUm_PXIfZSU4FpAn {\n  background-color: transparent;\n  border: none;\n  color: inherit;\n  font-size: ").concat(theme.optionsButtonDragDropHandleFontSize || 'none', ";\n  margin: ").concat(theme.optionsButtonDragDropHandleMargin || 'none', ";\n}\n\n._6CE0FpzOqws710_BvTSel {\n  cursor: pointer;\n}\n");
  },
  'quizEntryWrapper': '_30JM-S2QMUOyKfCqClGPw6',
  'quizEntryShow': '_2pcJ8SmBJbAKOL0L_1DF0r',
  'header': '_3PPo8BTS2OwG1t9m_bhazE',
  'dndBorder': '_1CF5dLJuk0zJ75xj6k31T-',
  'leftHeader': '_3iMdBpgFd46AI1bQAIuVin',
  'rightHeader': '_2zZm8nhqXXq8S2QDZu2B6',
  'title': '_21U4Zcv2ZAc_1pasZ243Rx',
  'interactionTypeName': '_3iV321zhhM0h9IJNeAB-QJ',
  'points': '_24D_jCjKR1eMbmMl1ji6XX',
  'itemHolder': '_2hTRFEg0Y8Or6hSYfvW_ET',
  'optionsButton': '_6CE0FpzOqws710_BvTSel',
  'dragAndDropHandle': '_3kUi7rrUm_PXIfZSU4FpAn'
};

var _ref =
/*#__PURE__*/
_react.default.createElement(_IconBank.default, null);

var QuizEntryShow = (_dec = (0, _lib.default)(_theme.default, styles), _dec(_class = (_temp = _class2 =
/*#__PURE__*/
function (_Component) {
  (0, _inherits2.default)(QuizEntryShow, _Component);

  function QuizEntryShow() {
    var _getPrototypeOf2;

    var _this;

    (0, _classCallCheck2.default)(this, QuizEntryShow);

    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    _this = (0, _possibleConstructorReturn2.default)(this, (_getPrototypeOf2 = (0, _getPrototypeOf3.default)(QuizEntryShow)).call.apply(_getPrototypeOf2, [this].concat(args)));

    _this.editingOn = function () {
      if (!_this.props.quizEntryWithErrorsShowing) {
        var msg = (0, _formatMessage.default)('Item switched to editing mode.');

        _this.props.screenreaderNotification(msg);

        _this.props.switchOnEditing();
      }
    };

    _this.removeItem = function (e) {
      _this.props.withConfirm((0, _partial.default)(_this.props.removeQuizEntry, _this.props.quizId, _this.props.quizEntry), _this.removalDialogData());
    };

    return _this;
  }

  (0, _createClass2.default)(QuizEntryShow, [{
    key: "getPointsText",
    value: function getPointsText(points) {
      return (0, _formatMessage.default)("{\n      points, plural,\n        one {# point}\n      other {# points}\n    }", {
        points: points
      });
    }
  }, {
    key: "removalDialogData",
    value: function removalDialogData() {
      return {
        title: (0, _formatMessage.default)('Remove Item?'),
        text: (0, _formatMessage.default)('Are you sure you want to remove this item?'),
        continueText: (0, _formatMessage.default)('Remove Item'),
        cancelText: (0, _formatMessage.default)('Keep Item')
      };
    }
  }, {
    key: "shouldDisableDragHandle",
    value: function shouldDisableDragHandle() {
      return this.props.quizEntries.size === 1;
    }
  }, {
    key: "renderPointsPossible",
    value: function renderPointsPossible() {
      if (this.props.entry instanceof _Item.default) {
        var pointsPossible = this.props.quizEntry.pointsPossible;
        return _react.default.createElement("div", {
          className: styles.points,
          "data-automation": "sdk-points-possible-div"
        }, this.getPointsText(pointsPossible || 0));
      }
    }
  }, {
    key: "renderInteractionType",
    value: function renderInteractionType() {
      if (this.props.entry instanceof _Item.default) {
        var interactionTypeName = this.props.entry.getInteractionType().name;
        return _react.default.createElement("div", {
          className: styles.interactionTypeName,
          "data-automation": "sdk-interaction-type-name-div"
        }, interactionTypeName);
      }
    }
  }, {
    key: "renderBankedContent",
    value: function renderBankedContent() {
      if (this.props.quizEntry.isBank || this.props.quizEntry.isBankEntry) {
        return _ref;
      }
    }
  }, {
    key: "renderLeftHeader",
    value: function renderLeftHeader() {
      return _react.default.createElement("div", {
        className: styles.leftHeader
      }, this.renderBankedContent(), this.renderInteractionType(), this.renderPointsPossible(), _react.default.createElement("div", {
        className: styles.title,
        "data-automation": "sdk-quiz-entry-title-div"
      }, this.props.entry.title));
    }
  }, {
    key: "setInert",
    value: function setInert(node) {
      node && node.setAttribute('inert', '');
    }
  }, {
    key: "render",
    value: function render() {
      var _this$props = this.props,
          connectDragPreview = _this$props.connectDragPreview,
          displayPosition = _this$props.displayPosition,
          draggingOver = _this$props.draggingOver,
          draggingAboveHalf = _this$props.draggingAboveHalf;
      var positionToDisplay = this.props.quizEntry.positionToDisplay(displayPosition);
      var positionText = (0, _formatMessage.default)('Preview of item at position {position}', {
        position: positionToDisplay
      });
      var srMsg = (0, _formatMessage.default)("The following item is a preview for the teacher. To edit this item, navigate back to the \"Edit Item\" button and click.");
      var propsForDnDZone = {
        draggingOver: draggingOver,
        draggingAboveHalf: draggingAboveHalf // Overlay gets tabIndex === "-1" so that the drag handle is tabbable before
        // the Overlay get focus and opens the quizEntry in edit mode

      };
      return _react.default.createElement(_Overlay.default, {
        onClick: this.editingOn,
        wrapperClassName: styles.quizEntryWrapper,
        tabIndex: "-1"
      }, _react.default.createElement(_DragAndDropZone.default, Object.assign({}, propsForDnDZone, {
        location: "above"
      })), connectDragPreview(_react.default.createElement("div", {
        className: styles.quizEntryShow,
        "data-automation-item-id": this.props.quizEntry.id
      }, _react.default.createElement("div", {
        className: styles.header
      }, _react.default.createElement(_PositionBox.default, {
        position: positionToDisplay,
        headingText: positionText
      }), this.renderLeftHeader(), _react.default.createElement(_ActionButtons.default, {
        connectDragSource: this.props.connectDragSource,
        displayPosition: this.props.displayPosition,
        onDelete: this.removeItem,
        quizEntries: this.props.quizEntries,
        quizEntry: this.props.quizEntry,
        scrollKey: this.props.scrollKey,
        shouldDisableDragHandle: this.shouldDisableDragHandle(),
        switchOnEditing: this.editingOn,
        shouldFocusOnMount: this.props.editQuizEntryToggle
      }), _react.default.createElement(_ScreenReaderContent.default, null, srMsg)), _react.default.createElement("div", {
        className: styles.itemHolder,
        ref: this.setInert
      }, this.props.children))), _react.default.createElement(_DragAndDropZone.default, Object.assign({}, propsForDnDZone, {
        location: "below"
      })));
    }
  }]);
  QuizEntryShow.displayName = "QuizEntryShow";
  return QuizEntryShow;
}(_react.Component), _class2.propTypes = {
  children: _propTypes.default.oneOfType([_propTypes.default.arrayOf(_propTypes.default.node), _propTypes.default.node]),
  connectDragPreview: _propTypes.default.func.isRequired,
  connectDragSource: _propTypes.default.func.isRequired,
  displayPosition: _propTypes.default.number.isRequired,
  draggingOver: _propTypes.default.bool.isRequired,
  draggingAboveHalf: _propTypes.default.bool.isRequired,
  entry: _reactImmutableProptypes.default.record.isRequired,
  quizEntryWithErrorsShowing: _reactImmutableProptypes.default.record,
  quizEntries: _reactImmutableProptypes.default.listOf(_reactImmutableProptypes.default.record).isRequired,
  quizEntry: _reactImmutableProptypes.default.record.isRequired,
  quizId: _propTypes.default.string.isRequired,
  removeQuizEntry: _propTypes.default.func.isRequired,
  // from connected component
  screenreaderNotification: _propTypes.default.func.isRequired,
  // from connected component
  scrollKey: _propTypes.default.string,
  switchOnEditing: _propTypes.default.func.isRequired,
  // from QuizEntry
  withConfirm: _propTypes.default.func.isRequired,
  editQuizEntryToggle: _propTypes.default.bool.isRequired
}, _class2.defaultProps = {
  children: null,
  draggingOver: false,
  draggingAboveHalf: false,
  quizEntryWithErrorsShowing: null,
  scrollKey: void 0,
  editQuizEntryToggle: false
}, _temp)) || _class);
var QuizEntryShowRaw = QuizEntryShow;
exports.QuizEntryShowRaw = QuizEntryShowRaw;

var _default = (0, _reactDnd.DragSource)(_dragAndDropUtils.ItemTypes.QUIZ_ENTRY, _dragAndDropUtils.dragSource, _dragAndDropUtils.collectDrag)(QuizEntryShow);

exports.default = _default;