"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = generator;

require("core-js/modules/es6.string.small");

function generator(_ref) {
  var borders = _ref.borders,
      spacing = _ref.spacing,
      colors = _ref.colors,
      typography = _ref.typography;
  return {
    containerBorderWidth: borders.widthSmall,
    containerBorderColor: colors.tiara,
    seriesContainerMargin: spacing.small,
    seriesContainerRowMargin: spacing.medium,
    seriesSwatchMargin: spacing.small,
    seriesSwatchBackgroundColor: colors.electric,
    seriesLabelFontFamily: typography.fontFamily,
    seriesLabelFontSize: typography.fontSizeXSmall
  };
}