"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = generator;

require("core-js/modules/es6.string.small");

function generator(_ref) {
  var spacing = _ref.spacing,
      colors = _ref.colors,
      borders = _ref.borders,
      typography = _ref.typography;
  return {
    footerPadding: spacing.small,
    footerBorderWidth: borders.widthSmall,
    footerBorderColor: colors.tiara,
    footerFontSize: typography.fontSizeXSmall
  };
}