"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = generator;

require("core-js/modules/es6.string.small");

function generator(_ref) {
  var spacing = _ref.spacing,
      typography = _ref.typography,
      colors = _ref.colors,
      breakpoints = _ref.breakpoints;
  return {
    rootPadding: spacing.small,
    wrapperMargin: spacing.small,
    metricWrapperPadding: spacing.large,
    phoneBreakPoint: "max-width: ".concat(breakpoints.medium),
    tabletBreakPoint: "max-width: ".concat(breakpoints.large)
  };
}