"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = generator;

require("core-js/modules/es6.string.small");

function generator(_ref) {
  var spacing = _ref.spacing,
      colors = _ref.colors,
      typography = _ref.typography;
  return {
    labelPadding: spacing.small,
    labelLeftPadding: spacing.large,
    labelBottomPadding: spacing.xxSmall,
    labelFontSize: typography.fontSizeSmall,
    labelColor: colors.slate,
    editButtonWrapperRightMargin: spacing.large
  };
}