"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = generator;

require("core-js/modules/es6.string.small");

function generator(_ref) {
  var spacing = _ref.spacing,
      typography = _ref.typography,
      colors = _ref.colors;
  return {
    titleMarginTop: spacing.medium,
    titleMarginLeftRight: spacing.small,
    titleMarginBottom: spacing.xSmall,
    emptyTextPadding: spacing.small,
    emptyTextFontSize: typography.fontSizeLarge,
    emptyTextColor: colors.ash
  };
}