"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = generator;

require("core-js/modules/es6.string.small");

function generator(_ref) {
  var spacing = _ref.spacing,
      borders = _ref.borders,
      colors = _ref.colors,
      typography = _ref.typography,
      breakpoints = _ref.breakpoints;
  return {
    navPaddingTopBottom: spacing.small,
    navPaddingLeftRight: spacing.xLarge,
    navBorderWidth: borders.widthSmall,
    navBorderColor: colors.tiara,
    navBackgroundColor: colors.white,
    bankIconColor: colors.electric,
    bankIconFontSize: typography.fontSizeLarge,
    bankIconPadding: spacing.xSmall
  };
}