"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = generator;

require("core-js/modules/es6.string.small");

function generator(_ref) {
  var breakpoints = _ref.breakpoints,
      spacing = _ref.spacing;
  return {
    alertsPadding: spacing.medium,
    alertsTopPadding: spacing.large,
    alertsMobilePadding: spacing.small,
    alertsZIndex: '7777',
    phoneBreakPoint: "max-width: ".concat(breakpoints.medium)
  };
}